// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "BitmapFont.hpp"

namespace Dawn {
  class ExampleFont : public BitmapFont {
    protected:
      Texture realTexture;
      TilesetGrid realTilesetGrid;

      struct Color getColor(uint8_t n);

    public:
      ExampleFont();

      void init();
  };
}